Bug 66936 - apache startup fails after install
apache startup fails after install
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2002-06-18 16:33 EDT by Ben Levenson
Modified: 2007-07-31 15:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-21 11:22:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2002-06-18 16:33:35 EDT
Description of Problem:
# service httpd start
Starting httpd: Syntax error on line 47 of /etc/httpd/conf/rhnweb.conf:
PerlSetVar takes two arguments, Perl config var and value

from /etc/httpd/conf/rhnweb.conf:
42 PerlSetVar session_secret_1 cb0f20e5b7274b0d89bf1815456da2b1
43 PerlSetVar session_secret_2 33b92c91b7586ec43f254df550535d74
44 PerlSetVar session_secret_3 46f2b50366b174c7767e7cc1eb700ed7
45 PerlSetVar session_secret_4 fe3a445dd3e0331d7ddd2ba03df7c024
47 PerlSetVar db_tz_offset
49 <Files *.pxt>
50   SetHandler perl-script
51   PerlHandler PXT::ApacheHandler
52 </Files>

Steps to Reproduce:
1. install and configure satellite
2. try to (re)start apache

Actual Results:
apache start fails with the error listed above.

Additional Information:
httpd will start if I comment out line 47.
Comment 1 Adrian Likins 2002-06-20 14:22:24 EDT

thats the config file deployed by satcon-deploy I belive. Looks
like it is getting generated incorrectly.
Comment 2 Josef Komenda 2002-06-25 11:58:04 EDT
Apache starts correctly on latest version of installer. Closing.

Note You need to log in before you can comment on or make changes to this bug.